const path = {
    daichuli: "/daichuli", //待处理订单列表
    orderUnprocessed: "/orderUnprocessed", //订单反馈
    inspection: "/inspection", //检验处理
    report: "/report", //报告生成
    yichuli: "/yichuli",
    daishenhe: "/daishenhe",
    yishenhe: "/yishenhe",
    login: "/"
};

const url = {
    otgSamplesPath:
        "/home/estar/eStarProject/webProject/microwave-project/microwaveData/sampleData/otgSamples.xlsx", //正射1
    lcSamplesPath:
        "/home/estar/eStarProject/webProject/microwave-project/microwaveData/sampleData/lcSamples.xlsx", //地表覆盖6
    solSamplesPath:
        "/home/estar/eStarProject/webProject/microwave-project/microwaveData/sampleData/solSamples.xlsx", //土壤水分7
    adcSamplePath:
        "/home/estar/eStarProject/webProject/microwave-project/microwaveData/sampleData/Atmospheric_Delay_Correction_Sample.xlsx", //干涉测量大气延迟校正4
    bscSamplePath:
        "/home/estar/eStarProject/webProject/microwave-project/microwaveData/sampleData/Back_Scattering_Coefficient_Sample.xlsx", // 后向散射系数3
    dSamplePath:
        "/home/estar/eStarProject/webProject/microwave-project/microwaveData/sampleData/Deformation_Sample.xlsx", // 干涉测量形变5
    glaiSamplePath:
        "/home/estar/eStarProject/webProject/microwave-project/microwaveData/sampleData/Ground_Leaf_Area_Index_Sample.xlsx", // 叶面积指数11
    gvhSamplePath:
        "/home/estar/eStarProject/webProject/microwave-project/microwaveData/sampleData/Ground_Vegetation_Height_Sample.xlsx", // 植被高度10
    demSamplePath:
        "/home/estar/eStarProject/webProject/microwave-project/microwaveData/sampleData/demSample.xlsx", // 高程产品2
    ssiSamplePath:
        "/home/estar/eStarProject/webProject/microwave-project/microwaveData/sampleData/Soil_Salinity_Inversion_Sample.xlsx", // 土壤盐碱度8
    srSamplePath:
        "/home/estar/eStarProject/webProject/microwave-project/microwaveData/sampleData/Surface_Roughness_Sample.xlsx", // 地表粗糙度9
    vpSamplePath:
        "/home/estar/eStarProject/webProject/microwave-project/microwaveData/sampleData/Vegetation_Phenology_Sample.xlsx" //Vegetation_Phenology_Sample.xlsx',// 植被物候12
};
const urlprefix = {
    pdfUrlPrefix: "http://10.0.36.121:8085/microwaveData/pdf/", ///192.168.106.132
    geoserverUrl: "http://10.0.36.121:8087/geoserver/gwc/service/wmts",
    otgGeoServerUrl: "http://10.0.36.121:8087/geoserver/gwc/service/wmts"
};

const subProductName = [
    "", //0
    "正射校正", //1
    "高程产品", //2
    "后向散射系数", //3
    "大气延迟校正", //4
    "干涉测量形变", //5
    "地表覆盖类型", //6
    "土壤水分", //7
    "土壤盐碱度", //8
    "地表粗糙度", //9
    "植被高度", //10
    "叶面积指数", //11
    "植被物候" //12
];

// 地物类型名称
const groTypeName = [
    {
        value: "城市",
        label: "城市"
    },
    {
        value: "水体",
        label: "水体"
    },
    {
        value: "森林",
        label: "森林"
    },
    {
        value: "灌木地",
        label: "灌木地"
    },
    {
        value: "草地",
        label: "草地"
    },
    {
        value: "林地",
        label: "林地"
    },
    {
        value: "湖泊",
        label: "湖泊"
    },
    {
        value: "大棚旱地",
        label: "大棚旱地"
    },
    {
        value: "水域",
        label: "水域"
    },
    {
        value: "有林地阔叶林",
        label: "有林地阔叶林"
    },
    {
        value: "城镇用地",
        label: "城镇用地"
    },
    {
        value: "道路交通",
        label: "道路交通"
    },
    {
        value: "出芽期",
        label: "出芽期"
    }
];

export default {
    path,
    url,
    urlprefix,
    subProductName,
    groTypeName
};
