const path = {
    daichuli: "/daichuli", //待处理订单列表
    orderUnprocessed: "/orderUnprocessed", //订单反馈
    inspection: "/inspection", //检验处理
    report: "/report", //报告生成
    yichuli: "/yichuli",
    daishenhe: "/daishenhe",
    yishenhe: "/yishenhe",
    login: "/",
};

const prefix = "D:/deveEnvironment/nginx-1.18.0/html/microwaveData/sampleExcel";
//   const newPrefix = "/home/estar/eStarProject/webProject/microwave-project/microwaveData/sampleData";
//旧版本地址
// const newPrefix = "D:/deveEnvironment/nginx-1.18.0/html/microwaveData/sampleExcelNew";
//新版本地址
// const newPrefix = "D:/WorkTools/apache-tomcat-9.0.93/webapps/microwaveData/sampleExcel";
const newPrefix = "D:/WorkTools/JDK8/apache-tomcat-8/webapps/microwaveData/sampleExcel";


const url = {
    otgSamplesPath: `${newPrefix}/otgSamples.xlsx`, //正射1
    lcSamplesPath: `${newPrefix}/lcSamples.xlsx`, //地表覆盖6
    solSamplesPath: `${newPrefix}/solSamples.xlsx`, //土壤水分7
    adcSamplePath: `${newPrefix}/Atmospheric_Delay_Correction_Sample.xlsx`, //干涉测量大气延迟校正4
    bscSamplePath: `${newPrefix}/Back_Scattering_Coefficient_Sample.xlsx`, // 后向散射系数3
    dSamplePath: `${newPrefix}/Deformation_Sample.xlsx`, // 干涉测量形变5
    glaiSamplePath: `${newPrefix}/Ground_Leaf_Area_Index_Sample.xlsx`, // 叶面积指数11
    gvhSamplePath: `${newPrefix}/Ground_Vegetation_Height_Sample.xlsx`, // 植被高度10
    demSamplePath: `${newPrefix}/demSample.xlsx`, // 高程产品2
    ssiSamplePath: `${newPrefix}/Soil_Salinity_Inversion_Sample.xlsx`, // 土壤盐碱度8
    srSamplePath: `${newPrefix}/Surface_Roughness_Sample.xlsx`, // 地表粗糙度9
    vpSamplePath: `${newPrefix}/Vegetation_Phenology_Sample.xlsx`, //Vegetation_Phenology_Sample.xlsx,// 植被物候12
};
const serverUrl = DQYSERVER_URL;
const langServerUrl = LXYSERVER_URL;
const urlprefix = {
    // pdfUrlPrefix: `${serverUrl}/microwaveData/pdf/`,
    pdfUrlPrefix: `http://192.168.1.243:8081/microwaveData/pdf/`,
    samePoiImgsUrl: `${serverUrl}/microwaveData/samePoiImgs/`,
    geoserverUrl: `${serverUrl}/geoserver/gwc/service/wmts`,
    otgGeoServerUrl: `${serverUrl}/geoserver/gwc/service/wmts`,
    // otgGeoServerUrl: `${serverUrl}:8087/geoserver/gwc/service/wmts`
};

const subProductName = [
    "", //0
    "正射校正", //1
    "高程产品", //2
    "后向散射系数", //3
    "大气延迟校正", //4
    "干涉测量形变", //5
    "地表覆盖类型", //6
    "土壤水分", //7
    "土壤盐碱度", //8
    "地表粗糙度", //9
    "植被高度", //10
    "叶面积指数", //11
    "植被物候", //12
];

// 地物类型名称
const groTypeName = [
    {
        value: "城市",
        label: "城市",
    },
    {
        value: "水体",
        label: "水体",
    },
    {
        value: "森林",
        label: "森林",
    },
    {
        value: "灌木地",
        label: "灌木地",
    },
    {
        value: "草地",
        label: "草地",
    },
    {
        value: "水域",
        label: "水域",
    },
    {
        value: "山地",
        label: "山地",
    },
];
//空基类型
const kgTypeNameArr = [
    {
        value: "耕地",
        label: "耕地",
    },
    {
        value: "草地",
        label: "草地",
    },
    {
        value: "水域",
        label: "水域",
    },
    {
        value: "林地",
        label: "林地",
    },
    {
        value: "城乡工矿居民用地",
        label: "城乡工矿居民用地",
    },
    {
        value: "其他土地",
        label: "其他土地",
    },
    {
        value: "未分类",
        label: "未分类",
    },
    
]
// 植被物候地物类型名称
const vegetationPhenologyGroTypeName = [
    {
        value: "出芽期",
        label: "出芽期",
    },
    {
        value: "分蘖期",
        label: "分蘖期",
    },
    {
        value: "越冬期",
        label: "越冬期",
    },
    {
        value: "返青期",
        label: "返青期",
    },
    {
        value: "起身期",
        label: "起身期",
    },
    {
        value: "拔节期",
        label: "拔节期",
    },
    {
        value: "孕穗期",
        label: "孕穗期",
    },
    {
        value: "抽穗期",
        label: "抽穗期",
    },
    {
        value: "扬花期",
        label: "扬花期",
    },
    {
        value: "灌浆期",
        label: "灌浆期",
    },
    {
        value: "成熟期",
        label: "成熟期",
    },
];

// 抽样方法
const funcOpt = [
    {
        name: "随机抽样",
        label: "随机抽样",
        value: "1",
        pixelDealFun: [
            {
                name: "均值法",
                value: "1",
            },
            {
                name: "最邻近法",
                value: "6",
            },
            {
                name: "克里格法",
                value: "7",
            },
            {
                name: "块克里格法",
                value: "9",
            },
            {
                name: "MSN法",
                value: "10",
            },
        ],
    },
    {
        name: "分层抽样",
        label: "分层抽样",
        value: "2",
        pixelDealFun: [
            {
                name: "MSN法",
                value: "10",
            },
        ],
        children: [
            {
                value: "0",
                label: "深度空间分层",
            },
            {
                value: "1",
                label: "场站网空间分层",
            },
        ],
    },
    {
        name: "等距抽样",
        label: "等距抽样",
        value: "3",
        pixelDealFun: [
            {
                name: "均值法",
                value: "1",
            },
            {
                name: "最邻近法",
                value: "6",
            },
            {
                name: "克里格法",
                value: "7",
            },
            {
                name: "块克里格法",
                value: "9",
            },
            {
                name: "MSN法",
                value: "10",
            },
        ],
    },
];

export default {
    path,
    url,
    urlprefix,
    subProductName,
    groTypeName,
    kgTypeNameArr,
    vegetationPhenologyGroTypeName,
    funcOpt,
};
