export const productSubTypeVal = {
    ACS_ORTHOPHOTO: 1, // 正射产品校验
    ACS_DEM: 2, // 高程产品校验
    ACS_BACKSCATTERINGCOEFFICIENT: 3, // 后向散射系数产品校验
    ACS_ATMOSPHERICDELAYCORRECTION: 4, // 大气延迟校正产品校验
    ACS_DEFORMATION: 5, // 干涉测量形变产品校验
    ACS_TYPESOFLANDCOVER: 6, // 地表覆盖类型产品校验
    ACS_SOILMOISTURE: 7, // 土壤水分产品校验
    ACS_SOILSALINITYINVERSION: 8, // 土壤盐碱度产品校验
    ACS_SURFACEROUGHNESS: 9, // 地表粗糙度产品校验
    ACS_GROUNDVEGETATIONHEIGHT: 10, // 植被高度产品校验
    ACS_GROUNDLEAFAREAINDEX: 11, // 叶面积指数产品校验
    ACS_VEGETATIONPHENOLOGY: 12 // 植被物候产品校验
};
export const pixelFunVal = {
    PHM_AVERAGING: 1, // 均值法
    PHM_NEIGHBOR: 6, // 最邻近法
    PHM_POINTKRIGING: 7, // 克里格法
    PHM_BLOCKKRIGING: 9, // 块克里格法
    PHM_MSN: 10 // MSN法
};
export const truthFunVal = {
    ACM_MEANERROR: 0, // 平均误差
    ACM_MEANABSOLUTEERROR: 1, // 平均绝对误差
    ACM_RELATIVEERROR: 2, // 相对误差
    ACM_MEANRELATIVEERROR: 3, // 平均相对误差
    ACM_ROOTMANSQUAREERROR: 5, // 均方根误差
    ACM_CORRELATIONCOEFFICIENT: 7, // 相关系数
    ACM_ERRORMATRIX: 8, // 误差矩阵（混淆矩阵）
    ACM_OVERALLACCURACY: 9, // 总体分类精度
    ACM_KAPPA: 10, // Kappa系数
    ACM_MEANABSOLUTERELATIVEERROR: 4, // 平均绝对相对误差
    ACM_PLANENESSERROR: 6, // 平面中误差
    ACM_REALVALLIST: 11,  //真值数组记录
    ACM_OTGERROR:12,    //正射误差记录
};
